package db

import (
	log "github.com/sirupsen/logrus"

	"reichard.io/imagini/graph/model"
)

func (dbm *DBManager) CreateTag(tag *model.Tag) error {
	log.Debug("[db] Creating tag: ", tag.Name)
	err := dbm.db.Create(tag).Error
	return err
}

func (dbm *DBManager) Tag(tag *model.Tag) (int64, error) {
	var count int64
	err := dbm.db.Where(tag).First(tag).Count(&count).Error
	return count, err
}

func (dbm *DBManager) Tags() ([]*model.Tag, int64, error) {
	var foundTags []*model.Tag
	var count int64
	err := dbm.db.Find(&foundTags).Count(&count).Error
	return foundTags, count, err
}

func (dbm *DBManager) DeleteTag(tag *model.Tag) error {
	return nil
}
